"""Control window"""

import BAlert
import BApplication
import BInvoker
import BMessage
import BMessenger
import BWindow
import BTextControl

from AppKit import *
from InterfaceKit import *

from modules.constants import *

# Needs to be module global otherwise we'll get a seg fault (?)
_invoker = BInvoker.BInvoker(None, None)

def ShowSubscribeDlg(sfrom, target, cmdconstant):
	text = 'Subscription request from %s' % sfrom
	dlg = BAlert.BAlert('Subscribe Dialog', text, 'Allow and Subscribe', 'Allow', 'Deny', None, B_INFO_ALERT)
	bmsg = BMessage.BMessage(cmdconstant)
	bmsg.AddString('to', sfrom)
	messenger = BMessenger.BMessenger(target)
	_invoker.SetMessage(bmsg)
	_invoker.SetTarget(messenger)
	dlg.Go(_invoker)

