"""Preferences widgets"""
import BMessage
import BMenuField
import BPopUpMenu
import BMenuItem
from InterfaceKit import *

from modules.constants import *
from constants import *
from modules.config import Configuration

from widgets import *
from PrefsBase import PrefsBox

###### Logging
class LoggingBox(PrefsBox):
	def __init__(self, rect):
		PrefsBox.__init__(self, rect, 'loggingbox')
		bounds = self.Bounds()
		self.savecontrols = ['systemlog']
		self.conf = Configuration()
		self.section = 'logging'
		self.SetLabel('Logging')
		pop = BPopUpMenu.BPopUpMenu('')
		mf = BMenuField.BMenuField((5,15,bounds[2]-5,0),'systemlog','System Log', pop)
		mf.ResizeToPreferred()
		mf.SetDivider(mf.StringWidth('System Log')+5)
		self.AddChild(mf)
		# add items
		options = ['syslog','stderr']
		for option in options:
			bmsg = BMessage.BMessage(CONTROL_EVENT)
			item = BMenuItem.BMenuItem(option,bmsg)
			pop.AddItem(item)
