"""Simple widgets"""

#import BMessage
import BAlert
import BBox
import BMenuField
import BTextControl
import BCheckBox
from InterfaceKit import *

from modules.constants import *
from constants import *


def showSavePrompt(prompt='Do you want to save your changes?'):
	"""Prompts to save changes. Returns True or False"""
	alert = BAlert.BAlert('Save Prompt',prompt,'Yes','No', None, B_WIDTH_AS_USUAL,B_WARNING_ALERT)
	res = alert.Go()
	if res == 1:
		return False
	else:
		return True

class BoundingBox(BBox.BBox):
	"""Simple boundingbox class"""
	def __init__(self, rect):
		BBox.BBox.__init__(self, rect, 'boundingbox', B_FOLLOW_ALL, B_FULL_UPDATE_ON_RESIZE|B_WILL_DRAW, B_NO_BORDER)
